Get all Blueprint Steps on an automation blueprint Run in API Explorer
Ask AI
GET
/api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps
curl \
--request GET 'https://api.plannrcrm.com/api/v1/automation-blueprints/6ff8f7f6-1eb3-3525-be4a-3932c805afed/blueprint-steps' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "81ac968d-0636-48fc-a8cc-e344650f882a",
"created_at": "2026-11-17T20:47:12+00:00",
"updated": "2026-11-17T20:47:12+00:00",
"name": "create a new client",
"type": "client.create",
"configuration": {
"params": {
"account_uuid": {
"type": "ref",
"value": "trigger.account.uuid"
}
}
},
"condition_state": false,
"parent_step_uuid": "cf1dcafc-8ccd-481d-bc96-7109c83fb13d"
}
]
]
}